
def create_random_document(collection, fields):
    import random
    from mongoengine import Document, fields as mongoengine_fields

    # Create a new document based on the provided collection and fields
    random_document = Document(**{field: random.choice(field_types) for field, field_types in zip(fields, [mongoengine_fields.ListField(field_type) for field_type in fields])})
    random_document.save(collection)



